get-ingredient-catalog-list¶
Source¶
Repository:
jef-systems/jef-caferimo-backendModule:
caferimoDocumentation Scope:
getLambda:
jef-caferimo-get-1
Endpoint¶
API Name:
jef-caferimoAction Name:
getMethod:
GETScope Label:
GETResource Path:
/get-ingredient-catalog-listComplete Endpoint:
https://lfyr4e0eqe.execute-api.ap-southeast-1.amazonaws.com/prod/get-ingredient-catalog-listLambda ARN:
arn:aws:lambda:ap-southeast-1:246715082475:function:jef-caferimo-get-1curl payload mode:
query_string
API Gateway Description¶
Function: jef-caferimo-get-1
API Name: jef-caferimo
Action: get
Method: GET
Resource Path: /get-ingredient-catalog-list
Payload:
- limit: number-whole-number-optional
- last_evaluated_key: string-optional
Response:
- exists: boolean
- message: string
- items: [{"pk":"string-jsin","gsi_1_pk":"string-barcode","jsin":"string","barcode":"string","product_name":"string","product_unit":"string"}]
- count: number-whole-number
- last_evaluated_key: string-optional
Request Payload¶
{
"limit": "number-whole-number-optional",
"last_evaluated_key": "string-optional"
}
Response¶
{
"exists": "boolean",
"message": "string",
"items": "[{\"pk\":\"string-jsin\",\"gsi_1_pk\":\"string-barcode\",\"jsin\":\"string\",\"barcode\":\"string\",\"product_name\":\"string\",\"product_unit\":\"string\"}]",
"count": "number-whole-number",
"last_evaluated_key": "string-optional"
}
CMD curl¶
curl "https://lfyr4e0eqe.execute-api.ap-southeast-1.amazonaws.com/prod/get-ingredient-catalog-list?limit=number-whole-number-optional&last_evaluated_key=string-optional"
PowerShell curl¶
curl.exe "https://lfyr4e0eqe.execute-api.ap-southeast-1.amazonaws.com/prod/get-ingredient-catalog-list?limit=number-whole-number-optional&last_evaluated_key=string-optional"